Developers
API referenceReferenceReports

VAT periods - List

List VAT periods for the selected business (`business_slug`).

GET
/v1/business/{business_slug}/vat_period/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Query Parameters

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/vat_period/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "start_date": "2019-08-24",      "end_date": "2019-08-24",      "due_date": "2019-08-24",      "period": 0,      "has_began": true,      "has_ended": true,      "has_due_passed": true,      "is_locked": true,      "is_reported": true,      "is_recapitulative_reported": true,      "has_eu_sales": true,      "recapitulative_due_date": "2019-08-24",      "has_locked_accounting_period": true,      "filing_tax_to_be_paid": 0,      "filing_accepted_at": "2019-08-24T14:15:22Z",      "purchase_invoice_id": 0    }  ]}